{
  "schema_version": "1.4.0",
  "id": "GHSA-gv9m-x3m7-x4g8",
  "modified": "2022-05-02T06:12:44Z",
  "published": "2022-05-02T06:12:44Z",
  "aliases": [
    "CVE-2010-0442"
  ],
  "details": "The bitsubstr function in backend/utils/adt/varbit.c in PostgreSQL 8.0.23, 8.1.11, and 8.3.8 allows remote authenticated users to cause a denial of service (daemon crash) or have unspecified other impact via vectors involving a negative integer in the third argument, as demonstrated by a SELECT statement that contains a call to the substring function for a bit string, related to an \"overflow.\"",
  "severity": [],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2010-0442"
    },
    {
      "type": "WEB",
      "url": "https://bugzilla.redhat.com/show_bug.cgi?id=559194"
    },
    {
      "type": "WEB",
      "url": "https://bugzilla.redhat.com/show_bug.cgi?id=559259"
    },
    {
      "type": "WEB",
      "url": "https://exchange.xforce.ibmcloud.com/vulnerabilities/55902"
    },
    {
      "type": "WEB",
      "url": "https://oval.cisecurity.org/repository/search/definition/oval%3Aorg.mitre.oval%3Adef%3A9720"
    },
    {
      "type": "WEB",
      "url": "http://archives.postgresql.org/pgsql-committers/2010-01/msg00125.php"
    },
    {
      "type": "WEB",
      "url": "http://archives.postgresql.org/pgsql-hackers/2010-01/msg00634.php"
    },
    {
      "type": "WEB",
      "url": "http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=567058"
    },
    {
      "type": "WEB",
      "url": "http://git.postgresql.org/gitweb?p=postgresql.git%3Ba=commit%3Bh=75dea10196c31d98d98c0bafeeb576ae99c09b12"
    },
    {
      "type": "WEB",
      "url": "http://git.postgresql.org/gitweb?p=postgresql.git%3Ba=commit%3Bh=b15087cb39ca9e4bde3c8920fcee3741045d2b83"
    },
    {
      "type": "WEB",
      "url": "http://git.postgresql.org/gitweb?p=postgresql.git;a=commit;h=75dea10196c31d98d98c0bafeeb576ae99c09b12"
    },
    {
      "type": "WEB",
      "url": "http://git.postgresql.org/gitweb?p=postgresql.git;a=commit;h=b15087cb39ca9e4bde3c8920fcee3741045d2b83"
    },
    {
      "type": "WEB",
      "url": "http://intevydis.blogspot.com/2010/01/postgresql-8023-bitsubstr-overflow.html"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/39566"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/39820"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/39939"
    },
    {
      "type": "WEB",
      "url": "http://securitytracker.com/id?1023510"
    },
    {
      "type": "WEB",
      "url": "http://ubuntu.com/usn/usn-933-1"
    },
    {
      "type": "WEB",
      "url": "http://www.debian.org/security/2010/dsa-2051"
    },
    {
      "type": "WEB",
      "url": "http://www.mandriva.com/security/advisories?name=MDVSA-2010:103"
    },
    {
      "type": "WEB",
      "url": "http://www.openwall.com/lists/oss-security/2010/01/27/5"
    },
    {
      "type": "WEB",
      "url": "http://www.redhat.com/support/errata/RHSA-2010-0427.html"
    },
    {
      "type": "WEB",
      "url": "http://www.redhat.com/support/errata/RHSA-2010-0428.html"
    },
    {
      "type": "WEB",
      "url": "http://www.redhat.com/support/errata/RHSA-2010-0429.html"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/bid/37973"
    },
    {
      "type": "WEB",
      "url": "http://www.vupen.com/english/advisories/2010/1022"
    },
    {
      "type": "WEB",
      "url": "http://www.vupen.com/english/advisories/2010/1197"
    },
    {
      "type": "WEB",
      "url": "http://www.vupen.com/english/advisories/2010/1207"
    },
    {
      "type": "WEB",
      "url": "http://www.vupen.com/english/advisories/2010/1221"
    }
  ],
  "database_specific": {
    "cwe_ids": [],
    "severity": "MODERATE",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2010-02-02T18:30:00Z"
  }
}